#ifndef ABSTRACTBYTEBUFFER_HPP_INCLUDED
#define ABSTRACTBYTEBUFFER_HPP_INCLUDED

#include "../JavaClass/Object.hpp"
#include "../JavaClass/Class.hpp"

namespace Internal
{
    class AbstractByteBuffer : public Object
    {
        public:
            AbstractByteBuffer(const void* Obj);

            AbstractByteBuffer() = default;
            AbstractByteBuffer(AbstractByteBuffer&& Obj) = default;
            AbstractByteBuffer(const AbstractByteBuffer& Obj) = default;
            AbstractByteBuffer& operator=(AbstractByteBuffer&& Obj) = default;
            AbstractByteBuffer& operator=(const AbstractByteBuffer& Obj) = default;

            static Class GetClass();

    };
}

#endif // ABSTRACTBYTEBUFFER_HPP_INCLUDED
